Package com.sap.ai.sdk.core.model

# Class BckndInstanceTypeValue

java.lang.Object
com.sap.ai.sdk.core.model.BckndInstanceTypeValue

public class BckndInstanceTypeValue extends Object
BckndInstanceTypeValue

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `BckndInstanceTypeValue.Builder`
  Builder helper class.
  `static interface`
  `BckndInstanceTypeValue.Builder1`
  Builder helper class.
  `static interface`
  `BckndInstanceTypeValue.Builder2`
  Builder helper class.
  `static interface`
  `BckndInstanceTypeValue.Builder3`
  Builder helper class.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `BckndInstanceTypeValue()`
  Default constructor for BckndInstanceTypeValue.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BckndInstanceTypeValue`
  `billableUnitsPerHour(BigDecimal billableUnitsPerHour)`
  Set the billableUnitsPerHour of this `BckndInstanceTypeValue` instance and return the same instance.
  `BckndInstanceTypeValue`
  `cpu(BigDecimal cpu)`
  Set the cpu of this `BckndInstanceTypeValue` instance and return the same instance.
  `static BckndInstanceTypeValue.Builder`
  `create()`
  Create a type-safe, fluent-api builder object to construct a new `BckndInstanceTypeValue` instance with all required arguments.
  `boolean`
  `equals(Object o)`
  `BigDecimal`
  `getBillableUnitsPerHour()`
  Number of billable units per hour for the instance type
  `BigDecimal`
  `getCpu()`
  Number of CPU cores allocated for the instance type
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `BckndInstanceTypeValue`.
  `BigDecimal`
  `getGpu()`
  Number of GPUs allocated for the instance type
  `String`
  `getMemory()`
  Memory allocated for the instance type (e.g., \"16Gi\")
  `BckndInstanceTypeValue`
  `gpu(BigDecimal gpu)`
  Set the gpu of this `BckndInstanceTypeValue` instance and return the same instance.
  `int`
  `hashCode()`
  `BckndInstanceTypeValue`
  `memory(String memory)`
  Set the memory of this `BckndInstanceTypeValue` instance and return the same instance.
  `void`
  `setBillableUnitsPerHour(BigDecimal billableUnitsPerHour)`
  Set the billableUnitsPerHour of this `BckndInstanceTypeValue` instance.
  `void`
  `setCpu(BigDecimal cpu)`
  Set the cpu of this `BckndInstanceTypeValue` instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `BckndInstanceTypeValue` instance.
  `void`
  `setGpu(BigDecimal gpu)`
  Set the gpu of this `BckndInstanceTypeValue` instance.
  `void`
  `setMemory(String memory)`
  Set the memory of this `BckndInstanceTypeValue` instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `BckndInstanceTypeValue` instance including unrecognized properties.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BckndInstanceTypeValue

    protected BckndInstanceTypeValue()
    Default constructor for BckndInstanceTypeValue.

- ## Method Details

  - ### memory

    @Nonnull public BckndInstanceTypeValue memory(@Nonnull String memory)
    Set the memory of this `BckndInstanceTypeValue` instance and return the same instance.
    Parameters:
      `memory` - Memory allocated for the instance type (e.g., \"16Gi\")
    Returns:
      The same instance of this `BckndInstanceTypeValue` class

  - ### getMemory

    @Nonnull public String getMemory()
    Memory allocated for the instance type (e.g., \"16Gi\")
    Returns:
      memory The memory of this `BckndInstanceTypeValue` instance.

  - ### setMemory

    public void setMemory(@Nonnull String memory)
    Set the memory of this `BckndInstanceTypeValue` instance.
    Parameters:
      `memory` - Memory allocated for the instance type (e.g., \"16Gi\")

  - ### cpu

    @Nonnull public BckndInstanceTypeValue cpu(@Nonnull BigDecimal cpu)
    Set the cpu of this `BckndInstanceTypeValue` instance and return the same instance.
    Parameters:
      `cpu` - Number of CPU cores allocated for the instance type
    Returns:
      The same instance of this `BckndInstanceTypeValue` class

  - ### getCpu

    @Nonnull public BigDecimal getCpu()
    Number of CPU cores allocated for the instance type
    Returns:
      cpu The cpu of this `BckndInstanceTypeValue` instance.

  - ### setCpu

    public void setCpu(@Nonnull BigDecimal cpu)
    Set the cpu of this `BckndInstanceTypeValue` instance.
    Parameters:
      `cpu` - Number of CPU cores allocated for the instance type

  - ### gpu

    @Nonnull public BckndInstanceTypeValue gpu(@Nonnull BigDecimal gpu)
    Set the gpu of this `BckndInstanceTypeValue` instance and return the same instance.
    Parameters:
      `gpu` - Number of GPUs allocated for the instance type
    Returns:
      The same instance of this `BckndInstanceTypeValue` class

  - ### getGpu

    @Nonnull public BigDecimal getGpu()
    Number of GPUs allocated for the instance type
    Returns:
      gpu The gpu of this `BckndInstanceTypeValue` instance.

  - ### setGpu

    public void setGpu(@Nonnull BigDecimal gpu)
    Set the gpu of this `BckndInstanceTypeValue` instance.
    Parameters:
      `gpu` - Number of GPUs allocated for the instance type

  - ### billableUnitsPerHour

    @Nonnull public BckndInstanceTypeValue billableUnitsPerHour(@Nonnull BigDecimal billableUnitsPerHour)
    Set the billableUnitsPerHour of this `BckndInstanceTypeValue` instance and return the same instance.
    Parameters:
      `billableUnitsPerHour` - Number of billable units per hour for the instance type
    Returns:
      The same instance of this `BckndInstanceTypeValue` class

  - ### getBillableUnitsPerHour

    @Nonnull public BigDecimal getBillableUnitsPerHour()
    Number of billable units per hour for the instance type
    Returns:
      billableUnitsPerHour The billableUnitsPerHour of this `BckndInstanceTypeValue` instance.

  - ### setBillableUnitsPerHour

    public void setBillableUnitsPerHour(@Nonnull BigDecimal billableUnitsPerHour)
    Set the billableUnitsPerHour of this `BckndInstanceTypeValue` instance.
    Parameters:
      `billableUnitsPerHour` - Number of billable units per hour for the instance type

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `BckndInstanceTypeValue`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `BckndInstanceTypeValue` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `BckndInstanceTypeValue` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `BckndInstanceTypeValue` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static BckndInstanceTypeValue.Builder create()
    Create a type-safe, fluent-api builder object to construct a new `BckndInstanceTypeValue` instance with all required arguments.